使用Android模板创建的tabbed activity项目之问题(can’t convert taba to fragment)

创建新的android项目时,使用tabbed activity模板,自动配置好viewpager等。

@Override
public Fragment getItem(int position) {
// getItem is called to instantiate the fragment for the given page.
// Return a PlaceholderFragment (defined as a static inner class
// below).

return PlaceholderFragment.newInstance(position + 1);
}
改为(排版乱,可以看图哈):

@Override
public Fragment getItem(int position) {
// getItem is called to instantiate the fragment for the given page.
// Return a PlaceholderFragment (defined as a static inner class
// below).

switch (position) {
case 0:
return new taba();

case 1:
return new tabb();

case 2:
return new tabc();

default:
// this page does not exists
return null;
}
// return PlaceholderFragment.newInstance(position + 1);
}

并去新建3个taba.java tabb.java tabc.java,像这样

public class taba extends Fragment{

@Override
public View onCreateView(LayoutInflater inflater, ViewGroup container,
Bundle savedInstanceState) {
View rootView = inflater.inflate(R.layout.fragment_a, container,
false);
return rootView;
}

}

以及对应的layout xml,像这样
<RelativeLayout xmlns:android=”http://schemas.android.com/apk/res/android”
xmlns:tools=”http://schemas.android.com/tools”
android:layout_width=”match_parent”
android:layout_height=”match_parent”
android:paddingBottom=”@dimen/activity_vertical_margin”
android:paddingLeft=”@dimen/activity_horizontal_margin”
android:paddingRight=”@dimen/activity_horizontal_margin”
android:paddingTop=”@dimen/activity_vertical_margin”
tools:context=”com.example.samepledemo.taba” >

<TextView
android:id=”@+id/section_label”
android:layout_width=”wrap_content”
android:layout_height=”wrap_content”
android:text=”taba” />

</RelativeLayout>

以上,其实在网上有很多,特别是stackoverflow上。
其实我写这个,主要是因为在接下来遇到怪问题(eclipse IDE智能提示:can’t convert taba to fragment)了,正准备打开android studio(好慢的啊)来对比一下。
结果找到原因。
在getitem方法这个java文件中,使用的是import android.support.v4.app.Fragment;
而在taba.java中使用的是
import android.app.Fragment;
所以,最后全改为
import android.support.v4.app.Fragment;
就行了。

import android.support.v4.app.Fragment;和import android.app.Fragment;主要区别就是:
android.support.v4.app.Fragment支持最低到1.6的andorid版本,android.app.Fragment支持最低到3.0